## sdpdemux sdpdemux |

## Properties

gboolean | debug | Read / Write / Construct
guint | latency | Read / Write / Construct
guint64 | timeout | Read / Write / Construct
gboolean | redirect | Read / Write / Construct

## Types and Values

struct | GstSDPDemux

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBin
                        ╰── GstSDPDemux

## Implemented Interfaces

GstSDPDemux implements GstChildProxy.

## Description

sdpdemux currently understands SDP as the input format of the session description. For each stream listed in the SDP a new stream_%u pad will be created with caps derived from the SDP media description. This is a caps of mime type "application/x-rtp" that can be connected to any available RTP depayloader element.

sdpdemux will internally instantiate an RTP session manager element that will handle the RTCP messages to and from the server, jitter removal, packet reordering along with providing a clock for the pipeline.

sdpdemux acts like a live element and will therefore only generate data in the PLAYING state.

### Example launch line

    1
    gst-launch-1.0 souphttpsrc location=http://some.server/session.sdp ! sdpdemux ! fakesink

Establish a connection to an HTTP server that contains an SDP session description that gets parsed by sdpdemux and send the raw RTP packets to a fakesink.

## Synopsis

### Element Information

plugin | sdp
author | Wim Taymans <wim.taymans@gmail.com>
class | Codec/Demuxer/Network/RTP

### Element Pads

name | sink
direction | sink
presence | always
details | application/sdp

name | stream_%u
direction | source
presence | sometimes
details | application/x-rtp

## Functions

## Types and Values

### struct GstSDPDemux

    struct GstSDPDemux;

## Property Details

### The `“debug”` property

      “debug”                    gboolean

Dump request and response messages to stdout.

Flags: Read / Write / Construct

Default value: FALSE

### The `“latency”` property

      “latency”                  guint

Amount of ms to buffer.

Flags: Read / Write / Construct

Default value: 200

### The `“timeout”` property

      “timeout”                  guint64

Fail transport after UDP timeout microseconds (0 = disabled).

Flags: Read / Write / Construct

Default value: 10000000

### The `“redirect”` property

      “redirect”                 gboolean

Sends a redirection message instead of using a custom session element.

Flags: Read / Write / Construct

Default value: TRUE